#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QListWidget>
#include <QPushButton>

#include <QVariant>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
protected:
    void AddLog(std::string log);
private slots:
    void on_m_test_btn_clicked();
    void on_m_add_clicked();

private slots:
    void ProcessSlot(QVariant data);

private:
    QPushButton* m_test_button;

private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
